data:extend(
{  
	
	-- mechanical water pump				
	{
		type = "assembling-machine",
		name = "y-mwater-pump",
		icon = "__yi_engines__/graphics/entity/pump-icon.png",
		flags = {"placeable-neutral","placeable-player", "player-creation"},
		minable = {hardness = 0.2, mining_time = 0.5, result = "y-mwater-pump"},
		max_health = 150,
		corpse = "medium-remnants",
		--resistances = {{type = "physical",percent = 60},},
		fluid_boxes =
		{
			{
				production_type = "output",
				base_area = 1,
				base_level = 1,
				pipe_connections = {
					{type="output", position = {1.5, 0.5}},										
				}
			},										
			{
				production_type = "input",
				base_area = 5,
				base_level = -1,
				pipe_connections = {
					{type="input", position = {-0.5, -1.5}},								
				}
			},							
		},
		collision_box = {{-0.8, -0.8}, {0.8, 0.8}},
		selection_box = {{-1.0, -1.0}, {1.0, 1.0}},
		fast_replaceable_group = "assembling-machine",
		animation =
		{
			north = { 	filename = "__yi_engines__/graphics/entity/pump_n.png",			
						width = 128, height = 128, shift = {1.0, 0.5}, frame_count = 1, line_length = 1, },	
			south = {	filename = "__yi_engines__/graphics/entity/pump_s.png",			
						width = 128, height = 128, shift = {0.47, 0.47}, frame_count = 1, line_length = 1, },	
			east = {	filename = "__yi_engines__/graphics/entity/pump_e.png",			
						width = 128, height = 128, shift = {1.0, 0.47}, frame_count = 1, line_length = 1, },	
			west = {	filename = "__yi_engines__/graphics/entity/pump_w.png",			
						width = 128, height = 128, shift = {0.53, 0.47}, frame_count = 1, line_length = 1, },										
		},		
		crafting_categories = {"yrcat-pump"},
		crafting_speed = 1.0,
		
		energy_source = {		
			type = "electric",
			usage_priority = "secondary-input",
			emissions = 0.1, 
		},
		energy_usage = "100W",						
		ingredient_count = 1,
		order="a",
		subgroup = "yie-engines",
	},			
	
	{
		type = "recipe",
		name = "y-mwater-pump-recipe",
		ingredients = {{"iron-gear-wheel",4},{"pipe",3},},
		result = "y-mwater-pump",
		enabled = "true",		
		result_count = 1,
		order="1",
		subgroup = "yie-engines",
	},	
	
	{
		type = "item",
		name = "y-mwater-pump",
		icon = "__yi_engines__/graphics/entity/pump-icon.png",
		flags = {"goes-to-quickbar"},
		order = "1",
		place_result = "y-mwater-pump",
		stack_size = 20,
	},	

	
	
})	
